API referenceWebhooks

Retrieve a webhook

GET/webhooks/{id}

Includes signing_secret for full-access API keys and dashboard owners and admins, as in Resend.

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Path Parameters

id*string
Length1 <= length <= 64

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/webhooks/string"
{  "object": "webhook",  "id": "string",  "endpoint": "string",  "events": [    "email.sent"  ],  "status": "enabled",  "created_at": "2019-08-24T14:15:22Z",  "signing_secret": "string"}